summaryrefslogtreecommitdiff
path: root/dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild')
-rw-r--r--dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild b/dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild
new file mode 100644
index 000000000000..9bd714fa2fe7
--- /dev/null
+++ b/dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Convert matplotlib figures into TikZ/PGFPlots"
+HOMEPAGE="https://github.com/nschloe/tikzplotlib"
+SRC_URI="https://github.com/nschloe/tikzplotlib/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]"
+
+DEPEND="test? (
+ dev-python/pandas[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/mock
+
+python_prepare_all() {
+ # this test fails: tikz error
+ # cannot mix dimensions and dimensionless values in an ellipse
+ rm test/test_patches.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x MPLBACKEND=Agg
+ virtx pytest -vv
+}